Passer au contenu principal
POST
/
face
/
change-gender
Change Gender
curl --request POST \
  --url https://api.acedata.cloud/face/change-gender \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "image_url": "https://cdn.acedata.cloud/4hfydw.jpg",
  "gender_infos": [
    {
      "gender": 1,
      "face_rect": {
        "x": 784,
        "y": 503,
        "width": 274,
        "height": 228
      }
    }
  ]
}
'
import requests

url = "https://api.acedata.cloud/face/change-gender"

payload = {
"image_url": "https://cdn.acedata.cloud/4hfydw.jpg",
"gender_infos": [
{
"gender": 1,
"face_rect": {
"x": 784,
"y": 503,
"width": 274,
"height": 228
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
image_url: 'https://cdn.acedata.cloud/4hfydw.jpg',
gender_infos: [{gender: 1, face_rect: {x: 784, y: 503, width: 274, height: 228}}]
})
};

fetch('https://api.acedata.cloud/face/change-gender', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "image_url": "https://faceeffect-1254418846.cos.ap-guangzhou.myqcloud.com/ft/SwapGenderPic/1256437459/022636b0-e682-4be6-88c4-461bffa77aae"
}
{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}

Autorisations

Authorization
string
header
requis

En-têtes

accept
enum<string>

Face Change Gender Param Accept

Options disponibles:
application/json,
application/x-ndjson

Corps

application/json
image_url
string
requis

Face Change Gender Image Url

gender_infos
object[]
requis

Réponse

Face Change Gender Response 200

image_url
string

Face Change Gender Response 200 Image Url